Subject: RE: [Sip] Issues with telephone-subscriber appearing in a SIP URI .

From: Robert Sparks <[email-masked]>
Date: Fri, 18 Jan 2002 13:23:06 -0500

The number was chosen tersely, to focus the discussion on
the comparison issue. (That's also why I didn't use one
of the already defined concrete extension headers). Sorry
that I set off your "does not parse" flag unnecessarily.

RjS

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, January 18, 2002 11:17 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [Sip] Issues with telephone-subscriber appearing in a SIP
> URI.
> 
> 
> In a message dated 1/18/02 11:15:06 AM Eastern Standard Time, 
> [email-masked] writes:
> 
> > These tel URIs are equivalent:
> >  tel:+122;parm1=val1;parm2=val2
> >  tel:+122;parm1=VAL1;PARM2=val2
> >  tel:+122;parm2=val2;parm1=val1
> >  
> There seems to continue to be confusion about the tel: url 
> and its possible 
> forms and uses. I still believe that there needs to be some 
> specific rules. 
> One of those should be that the "+" symbol, as the first 
> character after 
> "tel:" always means that it is following by a complete E.164 
> number, and 
> never anything else. That means that the above examples are 
> incorrect. +122 
> is not a legitimate E.164 number. If the above is intended to 
> reflect a 
> legitimate example of something else where the tel: url 
> contains only part of 
> the E.164 number, then a real example should be used. "122" 
> would never make 
> sense because it includes only the first two digits of the 
> three digit area 
> code in the North American Numbering plan. There is no 
> imaginable case in 
> which this would be done.
> 
> Mike Pierce
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip